#include "panel.hpp"

void Panel::resize(int width, int height) {
  $screen = Screen(width, height);
}

void Panel::set_renderer(std::function< Element()> render) {
  $component = Renderer(render);
}

Screen &Panel::render() {
  if($must_clear) $screen.Clear();
  Render($screen, $component->Render());
  return $screen;
}

std::wstring Panel::to_string() {
  std::string screenout = $screen.ToString();
  return $converter.from_bytes(screenout);
}

Screen &Panel::screen() {
  return $screen;
}
